/*
 * Copyright (c) 2002-2009 JSCAPE
 * 1147 S. 53rd Pl., Mesa, Arizona, 85206, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 *  the terms of the license agreement you entered into with JSCAPE.
 */

package com.jscape.util;

/**
 * @author Alex Usun
 */
public interface EndianBits {

    boolean getBoolean(byte[] b, int off);

    char getChar(byte[] b, int off);

    short getShort(byte[] b, int off);

    int getInt(byte[] b, int off);

    long getLong(byte[] b, int off);

    float getFloat(byte[] b, int off);

    double getDouble(byte[] b, int off);

    byte[] putBoolean(boolean val, byte[] b, int off);

    byte[] putChar(char val, byte[] b, int off);

    byte[] putShort(short val, byte[] b, int off);

    byte[] putInt(int val, byte[] b, int off);

    byte[] putLong(long val, byte[] b, int off);

    byte[] putFloat(float val, byte[] b, int off);

    byte[] putDouble(double val, byte[] b, int off);

}
